unit uMain;

interface

uses
  Winapi.Windows,
  Winapi.Messages,
  System.SysUtils,
  System.Variants,
  System.Classes,
  Vcl.Graphics,
  Vcl.Controls,
  Vcl.Forms,
  Vcl.Dialogs,
  Vcl.StdCtrls,
  Vcl.ExtCtrls,
  Vcl.ComCtrls,
  Vcl.Buttons,
  Vcl.FileCtrl;

type
  TfrmMain = class(TForm)
    btnTreemap: TButton;
    panControles: TPanel;
    imgTreemap: TImage;
    Edit1: TEdit;
    SpeedButton1: TSpeedButton;
    procedure btnTreemapClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  frmMain: TfrmMain;

implementation

uses
  uSquarifiedTreeMap;

{$R *.dfm}

procedure TfrmMain.btnTreemapClick(Sender: TObject);
begin
  if System.SysUtils.DirectoryExists(Edit1.Text) then
  begin
    var LTreeMap := TSquarifiedTreeMap.Create(imgTreemap.Width, imgTreemap.Height);
    try
      LTreeMap.BuildTreeMap(Edit1.Text);

      imgTreemap.Picture.Assign(LTreeMap.GetBitmap);
    finally
      LTreeMap.Free;
    end;
  end;
end;

procedure TfrmMain.SpeedButton1Click(Sender: TObject);
var
  LDirectory: string;
begin
  LDirectory := Edit1.Text;

  if SelectDirectory('Slectionnez un dossier !', '', LDirectory, []) then
    Edit1.Text := LDirectory;
end;

end.
